<?php
use LabBase\Model\Brand;
use LabBase\Model\BrandPost;
use LabBase\Model\Category;
use LabBase\Model\User;

$brandBannerChangeURL = $this->url('root/brandSettings', ['action' => 'uploadBanner', 'param' => $this->thisBrand->url]);

$thisBrandLogoURL = \LabBase\Model\ImageSaver::GetImageS3LinkFromName('brand-avatar-'.$this->thisBrand->id);
$thisBrandURL = $this->url('root/brandFeed', ['brandUrl' => $this->thisBrand->url]);

/** @var $user User */
$user = $this->sessionInfo()->getLoggedInUser();
?>

<script>
    var g_thisBrand = {
        id: <?= $this->thisBrand->id; ?>,
        name: '<?= addslashes($this->thisBrand->name); ?>',
        category: '<?= addslashes($this->categoryUrl); ?>',
        url: '<?= addslashes($this->thisBrand->url); ?>',
        loveCount: <?= $this->thisBrand->loveCount; ?>,
        lovedByUser: <?= $this->brandLovedByUser ? 'true' : 'false' ?>
    };
    <?php if($user) { ?>

    var g_loggedInUser = {
        id: <?= $user->id; ?>,
        name: '<?= addslashes($user->fullName) ?>',
        isAdmin: <?= $user->isAdmin() ? 'true' : 'false'  ?>,
        canEditBrand: <?= $this->userCanEditBrand ? 'true' : 'false' ?>
    };
    <?php }else{ ?>
    var g_loggedInUser = false;
    <?php } ?>
</script>

<?php


$brandName = null;
if($this->BrandName) {
    $brandName = $this->BrandName;
    $brandUrl = $this->BrandUrl;
}else{
    if ($user && $user->lastVisitedBrandId !== null) {
        /** @var Brand $brand */
        $brand = $this->sessionInfo()->getBrandById($user->lastVisitedBrandId);
        if ($brand) {
            $brandName = $brand->name;
            $brandUrl = $brand->url;
        }
    }
}

?>


<iframe id="editorImageSubmitterIframe" name="editorImageSubmitterIframe" style="display: none;" onload="if(this.contentWindow.location.href != 'about:blank' && window.imageUploadSubmitted) {window.imageUploadSubmitted(this)}"> </iframe>
<form onsubmit="window.imageUploadStarted()" enctype="multipart/form-data" method="post" target="editorImageSubmitterIframe" action="<?= $this->url('root/brandProductAddImage', ['brandUrl' => $brandUrl]); ?>">
    <input type="file" name="image" style="display: none" id="editorImageSubmitter" onchange="$(this).parent().submit()" />
</form>
<script>
    window.imageUploadStarted = function() {
        window.postImageUploadFinished = window.loadingIndicator($('body')); 
    };
    window.imageUploadEnded = function() {
        if (window.postImageUploadFinished) {
            window.postImageUploadFinished();
        }
    };

    window.imageSubmittedCallback = false;
    window.imageUploadSubmitted = function(el) {
        window.imageUploadEnded();

        if(window.imageSubmittedCallback === false) return;
        var iframeContents = $(el)[0].contentDocument.body.innerHTML;

        var re = /\{[\-a-zA-Z"'0-9:\w|.,/\\]+\}/.exec(iframeContents);
        if(re == null) {
            labAlert("An error has occured while uploading the photo.");
            window.imageSubmittedCallback(false);
            window.imageSubmittedCallback = false;
            return;
        }
        var response = re[0];
        response = JSON.parse(response);
        console.log("Successfully uploaded image:", response);
        window.imageSubmittedCallback(response.imageLink);
        window.imageSubmittedCallback = false;
    };
</script>


<!-- Header -->
    <?php echo $this->render('brand-header.phtml', array('user' => $user, 'thisBrand' => $this->thisBrand, 'draftspostCnt' => $this->draftspostCnt, 'brandName' => $brandName, 'thisBrandLogoURL' => $thisBrandLogoURL)); ?>
<!--END-->
<div class="body-content">
    
    <div class="wrapper">
        
        <!-- Intro -->
        <?php //echo $this->render('brand-body-top.phtml', array('user' => $user, 'thisBrand' => $this->thisBrand, 'draftspostCnt' => $this->draftspostCnt, 'brandName' => $brandName, 'thisBrandLogoURL' => $thisBrandLogoURL)); ?>
        <!--END-->

        <!-- Sidebar Layout -->
        <div class="sidebar-layout">
            <?php echo $this->render('band-menu.phtml', array('page' => 'product', 'brandUrl' => $this->thisBrand->url)); ?>
            
            <!-- Main Content -->
            <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="row">
                    
                    <div class="category_header">
                        <div class="panel panel-default">
                            <div class="panel-heading">
                                <div class="col-md-10 col-sm-9 category_container_section nopadding">
                                    <!--<nav class="navbar navbar-default">-->
                                        
                                        <!--<div class="navbar-header">
                                          <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#bs-example-navbar-collapse-1" aria-expanded="false">
                                            <span class="sr-only">Toggle navigation</span>
                                            <span class="icon-bar"></span>
                                            <span class="icon-bar"></span>
                                            <span class="icon-bar"></span>
                                          </button>
                                        </div>-->
                                        
                                        <!--<div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">-->
                                            <!--<ul class="nav navbar-nav category_menu full-width">-->
                                            <ul class="category_menu full-width">
                                                <?php $i = 0; $catName = $catId = ''; $public = ""; ?>
                                                <?php foreach($this->categories as $category){ ?>
                                                    <?php 
                                                        $mycat = $category->id;
                                                        $actClass = '';
                                                        if(isset($this->selCategory))
                                                        {
                                                            if($this->selCategory == $mycat)
                                                            {
                                                                $actClass = 'active';
                                                                $catName = $category->categoryName;
                                                                $catId = $category->id;
                                                                $public = $category->public;
                                                            }
                                                        }
                                                        else
                                                        {
                                                            $actClass = ($i == 0) ? 'active' : '';
                                                        } 
                                                        
                                                        $cateUrl = ($category->id > 0) ? $this->url("root/brandProducts", ["brandUrl" => $this->thisBrand->url,"categoryId"=>$category->id]) : $this->url("root/brandProducts", ["brandUrl" => $this->thisBrand->url]);
                                                    ?>
                                                    <li class="<?php echo $actClass; ?>">
                                                        <a href="<?php echo $cateUrl; ?>">
                                                            <h6><?php echo $category->categoryName ?></h6>
                                                        </a>
                                                    </li>
                                                    <?php $i++; ?>
                                                <?php } ?>
                                            </ul>
                                        <!--</div>-->
                                    <!--</nav>-->
                                </div>
                                <?php if($this->userCanEditBrand) { ?>
                                    <div class="col-md-2 col-sm-3 category-right text-right">
                                        <ul class="category_right_menu">
                                            <li>
                                                <a href="javascript:void(0);" data-toggle="modal" data-target="#addCategory" class="hidden-xs btn_add_category">
                                                    <i class="fa fa-cube" aria-hidden="true"></i> Add Category
                                                </a>
                                                <a href="javascript:void(0);" data-toggle="modal" data-target="#addCategory" class="hidden-lg hidden-sm hidden-md">
                                                    <i class="fa fa-plus" aria-hidden="true"></i>
                                                </a>
                                            </li>
                                            <?php if($catId > 0){ ?>
                                            <li class="dropdown">
                                                <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">
                                                    <i class="icon-settings"></i>
                                                </a>
                                                <ul class="dropdown-menu dropdown-menu-right">
                                                    <li>
                                                        <a href="#" data-toggle="modal" id="renameCategory" data-category_name="<?php echo $catName; ?>" data-category="<?php echo $catId; ?>">Rename</a>
                                                    </li>
                                                    <li>
                                                        <?php 
                                                            $toggleText = 'Show';
                                                            $toggleData = 1;
                                                            if(!empty($public) && $public)
                                                            {
                                                                $toggleText = 'Hide';
                                                                $toggleData = 0;
                                                            }
                                                        ?>
                                                        <a href="#" id="categoryPublicToggle" data-category="<?php echo $catId; ?>" data-toggle="<?php echo $toggleData; ?>"><?php echo $toggleText; ?></a>
                                                    </li>
                                                    <li>
                                                        <a href="javascript:void(0);" id="removeCategory" data-category="<?php echo $catId; ?>">Remove</a>
                                                    </li>
                                                </ul>
                                            </li>
                                            <?php } ?>
                                        </ul>
                                    </div>
                                <?php } ?>
                                <div class="clearfix"></div>
                            </div>
                        </div>    
                            <!--<div class="panel-body">-->
                        <?php if(!empty($this->collections)){ ?>
                            
                            <div class="collection-container">

                                <?php foreach($this->collections as $collection){ ?> 
                                    <div class="panel panel-default">
                                        <div class="panel-heading">
                                            <ul class="collection_main fullwidth col-md-12 col-xs-12 col-sm-12 nopadding">
                                                <li class="collection_li active col-md-11 col-xs-11 col-sm-11 nopadding">
                                                    <a class="collection_name" href="<?php echo $this->url("root/brandProducts", ["brandUrl" => $this->thisBrand->url,"categoryId"=>$collection->categoryId, 'collectionId' => $collection->id]); ?>">
                                                    <?php echo $collection->collectionName; ?>
                                                    </a>
                                                </li>
                                                <?php if($this->userCanEditBrand) { ?>
                                                    <li class="dropdown col-md-1 col-xs-1 col-sm-1 nopadding text-right">
                                                        <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">
                                                            <i aria-hidden="true" class="fa fa-chevron-down"></i>
                                                        </a>
                                                        <ul class="dropdown-menu dropdown-menu-right">
                                                            <li>
                                                                <a href="#" data-name="<?php echo $collection->collectionName; ?>" data-collection="<?php echo $collection->id; ?>" class="edit_collections"><i aria-hidden="true" class="fa fa-pencil"></i> Edit</a>
                                                            </li>
                                                            <?php 
                                                                $publicText = 'Show';
                                                                $publicCollection = 1;
                                                                $publicIcon = 'fa-eye';
                                                                if(!empty($collection->public) && $collection->public)
                                                                {
                                                                    $publicText = 'Hide';
                                                                    $publicCollection = 0;
                                                                    $publicIcon = 'fa-eye-slash';
                                                                }
                                                            ?>
                                                            <li>
                                                                <a href="javascript:void(0);" data-collection="<?php echo $collection->id; ?>" data-public="<?php echo $publicCollection; ?>" onclick="javascript: makeCollectionPublic(this);">
                                                                    <i class="fa <?php echo $publicIcon; ?>" aria-hidden="true"></i> <span><?php echo $publicText; ?></span>
                                                                </a>
                                                            </li>
                                                            <li>
                                                                <a href="javascript:void(0);" onclick="javascript: removeCollection(this);" id="removeCollection" data-collection="<?php echo $collection->id; ?>">
                                                                    <i class="fa fa-trash-o" aria-hidden="true"></i> Remove
                                                                </a>
                                                            </li>
                                                        </ul>
                                                    </li>
                                                <?php } ?>
                                            </ul>
                                            <div class="clearfix"></div>
                                        </div>
                                        
                                        <div class="panel-body">        
                                            
                                            <div class="product_list col-md-12 nopadding">
                                                <ul>
                                                    <?php if($this->userCanEditBrand) { ?>
                                                        <li class="col-md-4 col-sm-4 add-new-product">
                                                            <a href="javascript:void(0);" data-collectid="<?php echo $collection->id; ?>" data-toggle="modal" data-target="#productsManagement">
                                                                <i class="fa fa-plus fa-3x" aria-hidden="true"></i>Add Products
                                                            </a>
                                                        </li>
                                                    <?php } ?>
                                                    <?php if(!empty($this->productList['collections_'.$collection->id])){ ?>
                                                        <?php foreach($this->productList['collections_'.$collection->id] as $product){ ?>
                                                            <li class="col-md-4 col-sm-4 product_section" id="feed-product-<?php echo $product->id; ?>">
                                                                <?php if($this->userCanEditBrand) { ?>
                                                                    <div class="product-actions dropdown">
                                                                        <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">
                                                                            <i class="fa fa-pencil" aria-hidden="true"></i>
                                                                        </a>
                                                                        <ul class="dropdown-menu dropdown-menu-right">
                                                                            <li>
                                                                                <a href="javascript:void(0);" data-collectid="<?php echo $product->collectionId; ?>" data-id="<?php echo $product->id; ?>" onclick="javascript: editProduct($(this));" data-glyph="pencil" class="oi">Edit product</a>
                                                                            </li>
                                                                            <li>
                                                                                <a href="<?php echo $this->url("root/brandDeleteProduct", ["productId" => $product->id]); ?>" onclick="javascript: deleteProduct($(this)); return false;" data-productid="<?php echo $product->id; ?>" data-glyph="x" class="oi">Delete product</a>
                                                                            </li>
                                                                        </ul>
                                                                    </div>
                                                                <?php } ?>
                                                                <div class="product_container">
                                                                    <div class="product-image col-md-12 col-sm-12 col-xs-6 nopadding">
                                                                        <?php 
                                                                            $images  = json_decode($product->postImageData);
                                                                            $pathInfo = pathinfo($images[0]->url);
                                                                            $base_name  = '/cacheProductImages/'.$pathInfo['basename'];
                                                                            $uploadPath  = ROOT_PATH.'/public_html/'.$base_name;
                                                                            if(!file_exists($uploadPath))
                                                                            {
                                                                                $this->imageLinker()->smart_resize_image($images[0]->url, NULL, 0, 150, true, $uploadPath);
                                                                            }
                                                                        ?>
                                                                        <img src="<?php echo $base_name; ?>" class="img-responsive" />
                                                                    </div>
                                                                    <div class="product-meta col-md-12 col-sm-12 col-xs-6 nopadding">
                                                                        <div class="product-title"><?php echo $product->postTitle; ?></div>
                                                                        <div class="product-decription"><?php echo $product->productContent; ?></div>
                                                                        <div class="product-read-more text-right">
                                                                            <a href="javascript:void(0);" data-id="<?php echo $product->id; ?>" onclick="javascript: getReadMoreProduct(this);" class="text-primary read-more-popup">Read More</a>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </li>
                                                        <?php } ?>
                                                    <?php }else{ ?>
                                                        <?php if(!$this->userCanEditBrand) { ?>
                                                        <div class="no-products">
                                                            No products yet. 
                                                            <?php if($this->userCanEditBrand) { ?>
                                                                <a href="javascript:void(0);" data-toggle="modal" data-target="#productsManagement">Upload Products?</a>
                                                            <?php } ?>
                                                        </div>
                                                        <?php } ?>
                                                    <?php } ?>
                                                </ul>
                                            </div>
                                            
                                        </div>
                                        
                                    </div>
                                <?php } ?>
                                
                            </div>
                            
                        <?php }else{ ?>
                            <div class="panel panel-default">    
                                <div class="panel-body">        
                                            
                                    <div class="product_list col-md-12 nopadding">
                                        <ul>
                                            <?php if($this->userCanEditBrand) { ?>
                                                <li class="col-md-4 col-sm-4 add-new-product">
                                                    <a href="javascript:void(0);" data-collectid="<?php echo $collection->id; ?>" data-toggle="modal" data-target="#productsManagement">
                                                        <i class="fa fa-plus fa-3x" aria-hidden="true"></i>Add Products
                                                    </a>
                                                </li>
                                            <?php } ?>
                                            <?php if(!empty($this->productList)){ ?>
                                                <?php foreach($this->productList as $product){ ?>
                                                    <li class="col-md-4 col-sm-4 product_section" id="feed-product-<?php echo $product->id; ?>">
                                                        <?php if($this->userCanEditBrand) { ?>
                                                            <div class="product-actions dropdown">
                                                                <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">
                                                                    <i class="fa fa-pencil" aria-hidden="true"></i>
                                                                </a>
                                                                <ul class="dropdown-menu dropdown-menu-right">
                                                                    <li>
                                                                        <a href="javascript:void(0);" data-collectid="<?php echo $product->collectionId; ?>" data-id="<?php echo $product->id; ?>" onclick="javascript: editProduct($(this));" data-glyph="pencil" class="oi">Edit product</a>
                                                                    </li>
                                                                    <li>
                                                                        <a href="<?php echo $this->url("root/brandDeleteProduct", ["productId" => $product->id]); ?>" onclick="javascript: deleteProduct($(this)); return false;" data-productid="<?php echo $product->id; ?>" data-glyph="x" class="oi">Delete product</a>
                                                                    </li>
                                                                </ul>
                                                            </div>
                                                        <?php } ?>
                                                        <div class="product_container">
                                                            <div class="product-image col-md-12 col-sm-12 col-xs-6 nopadding">
                                                                <?php 
                                                                    $images  = json_decode($product->postImageData);
                                                                    $pathInfo = pathinfo($images[0]->url);
                                                                    $base_name  = '/cacheProductImages/'.$pathInfo['basename'];
                                                                    $uploadPath  = ROOT_PATH.'/public_html/'.$base_name;
                                                                    if(!file_exists($uploadPath))
                                                                    {
                                                                        $this->imageLinker()->smart_resize_image($images[0]->url, NULL, 0, 150, true, $uploadPath);
                                                                    }
                                                                ?>
                                                                <img src="<?php echo $base_name; ?>" class="img-responsive" />
                                                            </div>
                                                            <div class="product-meta col-md-12 col-sm-12 col-xs-6 nopadding">
                                                                <div class="product-title"><?php echo $product->postTitle; ?></div>
                                                                <div class="product-decription"><?php echo $product->productContent; ?></div>
                                                                <div class="product-read-more text-right">
                                                                    <a href="javascript:void(0);" data-id="<?php echo $product->id; ?>" onclick="javascript: getReadMoreProduct(this);" class="text-primary read-more-popup">Read More</a>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </li>
                                                <?php } ?>
                                            <?php }else{ ?>
                                                <div class="no-story-layout">
                                                    <p style="margin-top: 22px; margin-bottom: 20px">
                                                        No products, yet!
                                                    </p>
                                                </div>
                                            <?php } ?>
                                                
                                        </ul>
                                    </div>
                                    
                                </div>
                            </div>
                            <?php if(!empty($this->allProducts)){ ?>
                                <?php foreach($this->categories as $category){ ?> 
                                    <?php if($category->id > 0){ ?>
                                        <div class="all_products_cat_content">
                                            <ul class="nav nav-tabs category_all_container" role="tablist">
                                                <li class="categgory_name_tab">
                                                    <?php echo $category->categoryName; ?> <i class="fa fa-chevron-right" aria-hidden="true"></i>
                                                </li>
                                                
                                                <?php $collects = $this->allProducts[$category->id]['collections']; ?>
                                                <?php $collProducts = $this->allProducts[$category->id]['products']; ?>
                                                <?php if(!empty($collects)){ ?>
                                                    <?php $i = 0; foreach($collects as $collect){ ?>
                                                        <?php if(!empty($collProducts['collections_'.$collect->id])){ ?>
                                                            <li role="presentation" class="<?php echo ($i == 0) ? 'active' : ''; ?>">
                                                                <a href="#prod_<?php echo $collect->id; ?>" aria-controls="home" role="tab" data-toggle="tab">
                                                                    <?php echo $collect->collectionName; ?>
                                                                </a>
                                                            </li>
                                                        <?php $i++; } ?>
                                                    <?php } ?>
                                                <?php } ?>
                                            </ul>
                                            
                                            <div class="tab-content">
                                                <?php $i = 0; foreach($collProducts as $key => $collProduct){ ?>
                                                    <?php $collectId = explode('_', $key); ?>
                                                    <?php if(!empty($collProduct)){ ?>
                                                        <div role="tabpanel" class="tab-pane fade <?php echo ($i == 0) ? 'in active' : ''; ?>" id="prod_<?php echo $collectId[1]; ?>">
                                                            
                                                            <div class="panel panel-default">    
                                                                <div class="panel-body">        
                                                                            
                                                                    <div class="product_list col-md-12 nopadding">
                                                                        <ul>
                                                                            <?php if(!empty($collProduct)){ ?>
                                                                                <?php foreach($collProduct as $product){ ?>
                                                                                    <li class="col-md-4 col-sm-4 product_section" id="feed-product-<?php echo $product->id; ?>">
                                                                                        <?php if($this->userCanEditBrand) { ?>
                                                                                            <div class="product-actions dropdown">
                                                                                                <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">
                                                                                                    <i class="fa fa-pencil" aria-hidden="true"></i>
                                                                                                </a>
                                                                                                <ul class="dropdown-menu dropdown-menu-right">
                                                                                                    <li>
                                                                                                        <a href="javascript:void(0);" data-collectid="<?php echo $product->collectionId; ?>" data-id="<?php echo $product->id; ?>" onclick="javascript: editProduct($(this));" data-glyph="pencil" class="oi">Edit product</a>
                                                                                                    </li>
                                                                                                    <li>
                                                                                                        <a href="<?php echo $this->url("root/brandDeleteProduct", ["productId" => $product->id]); ?>" onclick="javascript: deleteProduct($(this)); return false;" data-productid="<?php echo $product->id; ?>" data-glyph="x" class="oi">Delete product</a>
                                                                                                    </li>
                                                                                                </ul>
                                                                                            </div>
                                                                                        <?php } ?>
                                                                                        <div class="product_container">
                                                                                            <div class="product-image col-md-12 col-sm-12 col-xs-6 nopadding">
                                                                                                <?php
                                                                                                    $images  = json_decode($product->postImageData);
                                                                                                    $pathInfo = pathinfo($images[0]->url);
                                                                                                    $base_name  = '/cacheProductImages/'.$pathInfo['basename'];
                                                                                                    $uploadPath  = ROOT_PATH.'/public_html/'.$base_name;
                                                                                                    if(!file_exists($uploadPath))
                                                                                                    {
                                                                                                        $this->imageLinker()->smart_resize_image($images[0]->url, NULL, 0, 150, true, $uploadPath);
                                                                                                    }
                                                                                                ?>
                                                                                                <img src="<?php echo $base_name; ?>" class="img-responsive" />
                                                                                            </div>
                                                                                            <div class="product-meta col-md-12 col-sm-12 col-xs-6 nopadding">
                                                                                                <div class="product-title"><?php echo $product->postTitle; ?></div>
                                                                                                <div class="product-decription"><?php echo $product->productContent; ?></div>
                                                                                                <div class="product-read-more text-right">
                                                                                                    <a href="javascript:void(0);" data-id="<?php echo $product->id; ?>" onclick="javascript: getReadMoreProduct(this);" class="text-primary read-more-popup">Read More</a>
                                                                                                </div>
                                                                                            </div>
                                                                                        </div>
                                                                                    </li>
                                                                                <?php } ?>
                                                                            <?php }?>
                                                                                
                                                                        </ul>
                                                                    </div>
                                                                    
                                                                </div>
                                                            </div>                      
                                                            
                                                        </div>
                                                    <?php $i++; } ?>
                                                <?php } ?>
                                            </div>
                                        </div>
                                    <?php } ?>
                                <?php } ?>
                                
                            <?php } ?>
                                
                        <?php } ?>
                        
                        
                            <!--</div>-->
                        
                        <?php $avoidColleactios = array("0", "1"); ?>
                        <?php if($this->userCanEditBrand && !in_array($this->selCategory, $avoidColleactios)) { ?>
                        <div class="panel panel-default">
                            <div class="panel-body">
                                <div class="add-collection-section">
                                    <a href="javascript:void(0);" class="text-primary" data-toggle="modal" data-target="#addCollection">
                                        <i class="fa fa-plus" aria-hidden="true"></i> Add collection
                                    </a>
                                </div>
                            </div>
                        </div>
                        <?php } ?>
                        
                    </div>
                    
                </div>
            </div>

            <!-- ------- MODAL POPUPS ------ -->
            <div class="modal fade" id="addCategory" tabindex="-1" role="dialog">
                <div class="modal-dialog" role="document">
                    <div class="modal-content">
                        <div class="modal-header">
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                            <h4 class="modal-title" id="exampleModalLabel">Add Category</h4>
                        </div>
                        <div class="modal-body category-section">
                            <form action="" method="post" id="frm_add_category">
                                <div class="col-md-8 col-md-offset-2">
                                    <div class="form-group">
                                        <label for="category-name" class="control-label">Category Name:</label>
                                        <input type="text" placeholder="Category Name e.g. electricals" class="form-control category-input" id="category-name">
                                    </div>
                                    <div class="form-group collection_section" style="display:none; margin-bottom: 0px;">
                                        <label for="collection-name" class="control-label">Collection Name:</label>
                                    </div>
                                    <div id="collection_add_more_container">
                                        <div class="form-group collection_section" style="display:none;">
                                            <input type="text" placeholder="Collection Name e.g. laptops" class="form-control collection-input" name="collectionName[]">
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <a href="javascript:void(0);" class="text-primary" onclick="javascript:add_more_collections();">
                                            <i class="fa fa-plus" aria-hidden="true"></i> Add a collection
                                        </a>
                                    </div>
                                </div>
                                <div class="clearfix"></div>
                            </form>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                            <button type="button" class="btn btn-primary" id="btn_category_add">Add</button>
                        </div>
                    </div>
                </div>
            </div>
            
            <div class="modal fade" id="addCollection" tabindex="-1" role="dialog">
                <div class="modal-dialog" role="document">
                    <div class="modal-content">
                        <div class="modal-header">
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                            <h4 class="modal-title" id="exampleModalLabel">Add Collection</h4>
                        </div>
                        <div class="modal-body category-section">
                            <form>
                                <div class="col-md-8 col-md-offset-2">
                                    <div class="form-group">
                                        <label for="collection-name" class="control-label">Collection Name:</label>
                                        <input type="text" placeholder="Collection Name e.g. laptops" class="form-control collection-input">
                                        <input type="hidden" value="<?php echo $this->selCategory; ?>" name="hdnSelCategoryId" id="hdnSelCategoryId" />
                                    </div>
                                </div>
                                <div class="clearfix"></div>
                            </form>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-primary" id="btn_collection_add">Add</button>
                        </div>
                    </div>
                </div>
            </div>
            
            <div class="modal fade" id="editCollection" tabindex="-1" role="dialog">
                <div class="modal-dialog" role="document">
                    <div class="modal-content">
                        <div class="modal-header">
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                            <h4 class="modal-title" id="exampleModalLabel">Edit Collection</h4>
                        </div>
                        <div class="modal-body category-section">
                            <form>
                                <div class="col-md-8 col-md-offset-2">
                                    <div class="form-group">
                                        <label for="collection-name" class="control-label">Collection Name:</label>
                                        <input type="text" placeholder="Collection Name e.g. laptops" class="form-control collection-input">
                                        <input type="hidden" value="" name="hdnSelCollectionId" id="hdnSelCollectionId" />
                                    </div>
                                </div>
                                <div class="clearfix"></div>
                            </form>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-primary" id="btn_collection_edit">Edit</button>
                        </div>
                    </div>
                </div>
            </div>
            
            <div class="modal fade" id="editCategory" tabindex="-1" role="dialog">
                <div class="modal-dialog" role="document">
                    <div class="modal-content">
                        <div class="modal-header">
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                            <h4 class="modal-title">Edit Category</h4>
                        </div>
                        <div class="modal-body category-section">
                            <form>
                                <div class="col-md-8 col-md-offset-2">
                                    <div class="form-group">
                                        <label for="category-name" class="control-label">Category Name:</label>
                                        <input type="text" placeholder="Category Name e.g. electricals" class="form-control category-input" id="edit-category-name">
                                    </div>
                                </div>
                                <input type="hidden" name="hdnCragoryId" id="hdnCragoryId" value="">
                                <div class="clearfix"></div>
                            </form>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                            <button type="button" class="btn btn-primary" id="btn_category_edit">Edit</button>
                        </div>
                    </div>
                </div>
            </div>
            
            <div class="modal fade" id="productsManagement" tabindex="-1" role="dialog" data-backdrop="static">
                <div class="modal-dialog" role="document">
                    <div class="modal-content">
                        <div class="modal-header">
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                            <h4 class="modal-title">Add Product</h4>
                        </div>
                        <div class="modal-body product-section">
                            <form>
                                <div class="product-container">
                                    <div class="first-product-image" onclick="uploadImage('product');">
                                        <i aria-hidden="true" class="fa fa-picture-o fa-3x"></i><br />
                                        <span>Add a photos</span>
                                    </div>
                                    <div class="upload-image-list-product image-list editable hide" data-type="product"></div>
                                    <div class="product-form">
                                        <div class="product_form_controls">
                                            <input type="text" name="productTitle" id="productTitle" placeholder="Product Title" class="form-control product-title product-input-title" value="" />
                                            <textarea class="textarea-scrollbar scrollbar-outer form-control product-input-text" placeholder="Product Description"></textarea>
                                            <input type="hidden" name="hdnCategoryId" value="<?php echo $this->selCategory; ?>" class="product-category-text" />
                                            <input type="hidden" name="hdnCollectionId" value="<?php echo $this->selcollection; ?>" class="product-collection-text" />
                                            <input type="hidden" name="hdnEditProductId" value="" class="product-edit-id" />
                                        </div>
                                    </div>
                                </div>
                                <div class="upload-image-list-product editable small-image-section" data-type="product"></div>
                            </form>
                            
                        </div>
                        <div class="modal-footer">
                            <a onclick="uploadImage('product');" href="javascript:void(0);" class="text-info pull-left text-center add_product_photo" style="display:none;">
                                <i class="icon-picture"></i>Add Photos
                            </a>
                            <button type="button" class="btn btn-primary btn-submit-product" data-type="add" onclick="javascript: manageProduct(this);">Post</button>
                        </div>
                    </div>
                </div>
            </div>
            <!-- ------- MODAL POPUPS END ------ -->
            
        </div>
    </div>
</div>

<!-- Footer -->
    <?php echo $this->render('brand-footer.phtml', array('user' => $user, 'thisBrand' => $this->thisBrand, 'draftspostCnt' => $this->draftspostCnt, 'brandName' => $brandName, 'thisBrandLogoURL' => $thisBrandLogoURL)); ?>
<!--END-->

<input type="hidden" value="<?php echo $this->postType; ?>" name="hdnPostType" id="hdnPostType" />

<script src="//cdnjs.cloudflare.com/ajax/libs/Sortable/1.4.2/Sortable.min.js"></script>

<script>

    function calculateDates() {
        var postType = document.getElementById('hdnPostType').value;
        var elements = document.querySelectorAll("[data-date]");
        for(var el in elements) {
            if(!elements.hasOwnProperty(el)) continue;
            el = elements[el];
            if(postType == 'drafts')
            {
                el.innerHTML = 'saved '+formatAgoTime(el.dataset.date);
            }
            else
            {
                el.innerHTML = formatAgoTime(el.dataset.date);
            }
        }
    }
    window.setInterval(calculateDates, 1000 * 29);
    window.onGloabalJS.push(calculateDates);

    <? if($user) { ?>
    window.onGloabalJS.push(function() {
        window.getNotifications('feed-template');
    });
    <? } ?>

    function updateLoveUsButton() {
        if(g_thisBrand.lovedByUser) {
            $('#loveUsButton .text').text('Loved!');
        }else{
            $('#loveUsButton .text').text('Love Us');
        }
    }

    window.loveUsClicked = function(el) {
        var loveBool = !g_thisBrand.lovedByUser;
        window.ajaxSubmitCheck("<?= $this->url("root/interactionController", ["action" => "loveBrand", "param" => $this->thisBrand->id, "param2" => "BOOL"]) ?>".replace(/BOOL/, loveBool), {}, function (data) {
            g_thisBrand.lovedByUser = data.newValue;
            updateLoveUsButton();
        }, "Could not love the brand. %s");
    };
    onGloabalJS.push(updateLoveUsButton);

    function changeBrandAvatar() {
        <?php if($this->userCanEditBrand) { ?>
        labImage('Change brand avatar image', function(imageData) {
            if(imageData) {
                $('.loading-container').show();
                window.ajaxSubmitCheck('<?= $this->url('root/brandSettings', ['action'=>'uploadAvatar', 'param' => $this->thisBrand->url]) ?>', {
                    imageString: imageData.data.split('base64,', 2)[1]
                }, function() {
                    document.location.reload();
                }, "The brand avatar couldn't be changed. %s");
            }
        }, 400, 400);
        <?php }else{ ?>
        return false;
        <?php } ?>
    }

    
    function deleteProduct($el)
    {
        labConfirm("Do you really want to delete this product?\nThis cannot be undone!", "Are you sure?", function(response) {
                if(response) {
                    $el.blur();
                    window.loadingIndicator($('body'));
                    
                    ajaxSubmit($el.attr('href'), {}, function (data) {
                    if (!data.status || data.status != "ok") {
                        console.log("openAjaxLink error: ", data);
                        alert(data.status ? data.status : "An error has occurred, please try again.");
                    } else {
                        $('#feed-product-'+$el.data('productid')).hide('slow', function(){ $(this).remove();  });
                        $('.loading-indicator-background').remove();
                    }
                });
                return false;
                }
            }, "Delete", "Cancel");
    }
    
    function editProduct($el)
    {
        var prodId = $el.data('id');
        var collectid = $el.data('collectid');
        if(prodId > 0)
        {
            window.loadingIndicator($('body')); 
            ajaxSubmit('/$brandProductGet/' + prodId, {'productId' : prodId}, function(data) {
                if(!data || !data.status || data.status != 'ok') {
                    console.log("error:", data);
                    var error = "Please try again later or contact the support team.";
                    if(data && data.status) error = data.status;
                    labAlert("An error has occured while getting the product. " + error);
                }else{
                    $('#productsManagement').find('.modal-title').html('Edit Product');
                    $('#productsManagement').find('.product-input-title').val(data.product.postTitle);
                    $('#productsManagement').find('.product-input-text').val(data.product.productContent);
                    $('#productsManagement').find('.btn-submit-product').attr('data-type', 'edit');
                    $('#productsManagement').find('.product-edit-id').val(data.product.id);                    
                    $('#productsManagement').find('.product-collection-text').val(data.product.collectionId);
                    
                    if(data.product.postImageData != "")
                    {
                        var productImage = window.ClassyJSON.unjsonify(data.product.postImageData);
                        for(var i = 0; i < productImage.length; i++)
                        {
                            uploadImageToEditorProduct(productImage[i].url);
                        }
                    }
                    
                    $('#productsManagement').modal('show');
                    $('.loading-indicator-background').remove();
/*                    labAlert(msg);*/
                }
            });
        }
        else
        {
            labAlert("Product not found..");
        }
    }

    function getReadMoreProduct(obj)
    {
        var productId = $(obj).data('id');
        
        window.loadingIndicator($('body')); 
        $('#productImageSlider').remove();
        ajaxSubmit('/$brandProductPopup/' + productId, {'productId' : productId}, function(data) {
                $('body').append(data);
                $('#productImageSlider').modal('show');
                $('.loading-indicator-background').remove();
        });
        
    }
    
    
    function socialShare(type, url, title, descr, image, winWidth, winHeight, via) {
        var winTop = (screen.height / 2) - (winHeight / 2);
        var winLeft = (screen.width / 2) - (winWidth / 2);
        if(type == 'fb')
        {
            var shareURL = 'http://www.facebook.com/sharer.php?s=100&p[title]=' + title + '&p[summary]=' + descr + '&p[url]=' + url + '&p[images][0]=' + image;
        }
        else
        {
            var shareVia = (typeof via != "undefined") ? '&via=' + via : '';
            var shareURL = 'https://twitter.com/intent/tweet/?text=' + title + '&url=' + url + shareVia;
        }
        window.open(shareURL, 'sharer', 'top=' + winTop + ',left=' + winLeft + ',toolbar=0,status=0,width=' + winWidth + ',height=' + winHeight);
    }
    
    function makeLovedPopup(obj, productId)
    {
        var loved = $(obj).data('loved');
            
        var url = "<?= $this->url("root/brandProductLove", ['productId' => 'PRODUCTID', 'loveOrNot' => 'LOVED']) ?>".replace(/PRODUCTID/, productId).replace(/LOVED/, loved);

        ajaxSubmitCheck(url, {}, function (data) {

            if(data.status == 'ok')
            {
                var loveCnt = (data.loveCount > 0) ? '('+data.loveCount+')' : '';
                if(data.is_love)
                {
                    $(obj).children('span').text('Loved! '+loveCnt);
                    $(obj).data('loved', 0);
                    $(obj).children('i').removeClass('fa-heart-o').addClass('fa-heart');
                }
                else
                {
                    $(obj).children('span').text('Love '+loveCnt);
                    $(obj).data('loved', 1);
                    $(obj).children('i').removeClass('fa-heart').addClass('fa-heart-o');
                }
            }
            else
            {
                 labAlert(data.status);
            }
        }, 'Sorry, an error has occured. \n%s');
    }
    
    var UploadedImagesListSelProduct = '.upload-image-list-product';
    
    window.onGloabalJS.push(function() {
        window.uploadImageSetStorageProduct = window.persistentVariableProduct("uploadImageSetProduct", new window.ImageSet([], UploadedImagesListSelProduct));
        if(window.uploadImageSetStorageProduct.get().type !== 'ImageSet') {
            window.uploadImageSetStorageProduct.set(new window.ImageSet([], UploadedImagesListSelProduct));
        }
        console.log("uploadImageSetProduct = ", window.uploadImageSetStorageProduct, window.uploadImageSetStorageProduct.get());
    });
    
    function removeImageClicked(el, type) {
        var $container = $(el).closest('.img-container');
        var $img = $('img', $container);
        var confirm = labConfirm("Are you sure you want to delete this image?", "Confirm delete",
        function(response) {
            if(response) {
                removeImage($img.attr('src'), type);
            }
        }, "Delete", "Cancel");
    }

    function removeImage(img, type) {
        switch(type)
        {
            case 'product' : 
                    var imageSet = window.uploadImageSetStorageProduct.get();
                    imageSet.removeImages([img]);
                    window.uploadImageSetStorageProduct.set(imageSet);
                break;            
        }
    }
    
    function uploadImageToEditorProduct(img) {
        console.log(img);
        console.log('Upload Product image Product');
        var imageSetProduct = uploadImageSetStorageProduct.get();
        imageSetProduct.addImages([img]);
        window.uploadImageSetStorageProduct.set(imageSetProduct);
    }
    
    function uploadImage(type) {
        var handelClass = '.upload-image-list-'+type;
        window.imageSubmittedCallback = uploadImageToEditorProduct;
        
        $("#editorImageSubmitter").click();
    }
    
    var counter = 1;
    function add_more_collections()
    {        
        $('.collection_section').show('slow');
        
        if(counter > 1)
        {
            var newdiv = document.createElement('div');
            newdiv.className = "form-group";
            newdiv.id = "collection_content_"+counter;
            newdiv.innerHTML = '<div class="col-md-11 nopadding"><input type="text" placeholder="Collection Name e.g. laptops" class="form-control collection-input" name="collectionName[]"></div><div class="col-md-1 nopadding text-center"><a href="javascript:void(0);" onclick="javascript: remove_collection('+counter+');">x</a></div><div class="clearfix"></div>';
            document.getElementById('collection_add_more_container').appendChild(newdiv);
        }
        counter++;
    }
    
    function remove_collection(index)
    {
        if($('#collection_add_more_container #collection_content_'+index).length > 0)
        {
            $('#collection_add_more_container #collection_content_'+index).hide('slow');
            $('#collection_add_more_container #collection_content_'+index).remove();
        }
    }
    
    function showCommentPopupBox(productid, obj)
    {
        
        var myObj = $('#productImageSlider .image_box_comments');
        
        myObj.slideToggle('slow', function(){
            if(!$(this).is(':hidden'))
            {
                loadCommentsPopup(productid);
                $('.textarea-scrollbar').scrollbar();
            }
        });
        /*$('.carouselGallery-modal-text #image_comment_section_'+index).slideToggle('slow');*/
        //loadCommentsPopup(index, postid);
    }
    
    function popupSubmitComments(productID)
    {
        var url = "<?= $this->url("root/brandPostProductComment", ['productId' => 'PRODUCTID']) ?>".replace(/PRODUCTID/, productID);
        
            //var postAs = $('#commentPostAs').val();
            //if (!postAs) postAs = 'user';
            var postAs = 'user';
            var $commentSection = $('.image_box_comments .image_boc_comments_area');

            var $commentInput = $commentSection.find('textarea.comment-content');
            var postContent = $commentInput.val().trim();

            if(postContent.length < 1) {
                $commentInput.focus();
                return;
            }

            $commentInput.val('');

            ajaxSubmitCheck(url, {
                text: postContent,
                postAs: postAs

            }, function (data) {
                $commentInput.val('');
/*                $commentInput.val('Thank you!\n\nYour comment has been submitted and will be reviewed by an administrator.');*/
                $commentInput.css({backgroundColor: '#e9f7e8', color: '#555'});
                $commentInput.keyup(); // for autosize

                $commentInput.one( "click", function() {
                    var $this = $(this);
                    $this.val('');
                    $this.css({backgroundColor: 'white', color: '#111'});
                });
                loadCommentsPopup(productID);
            }, 'Sorry, an error has occured while posting your comment. \n%s');
    }
    
    
    function loadCommentsPopup(productID) {
        
        var $commentSection = $('.image_box_comments .comment-section');
        
        var html = '';

        window.ajaxSubmitCheck("<?= $this->url("root/brandProductComments", ["productId" => 'PRODUCTID']) ?>".replace(/PRODUCTID/, productID), {}, function (data) {

            loadedComments = data.comments;

            loadedComments.sort(function (a, b) {
                return b.datePosted - a.datePosted;
            });

            for(var k in loadedComments) {
                if(!loadedComments.hasOwnProperty(k)) {continue;}
                var c = loadedComments[k];

                var author = htmlspecialchars(c.name);
                var buttons = '';

                <?php if($this->userCanEditBrand) { ?>
                if(c.public) {
                    buttons = '<a class="pull-right" href="#" onclick="commentButtonPopup(\'delete\', '+c.id+', '+productID+'); return false;"><i class="icon-close"></i></a>   ';
                }else{
                    buttons = '<a class="pull-right" href="#" onclick="commentButtonPopup(\'delete\', '+c.id+', '+productID+'); return false;"><i class="icon-close"></i> Reject</a>   '+
                            '<a class="pull-right" href="#" onclick="commentButtonPopup(\'approve\', '+c.id+', '+productID+'); return false;"><i class="icon-checkmark"></i> Approve</a>';

                }

                <?php } ?>

                html +=
                    '<div id="post-comment-'+c.id+'" class="post-comment '+(c.public?'':'not-approved')+'"> ' +
                    '    <div class="post-comment-meta">   ' +
                    '    By ' + author + ' - <span data-date="'+ c.datePosted +'"></span> ' +
                    buttons +
                    '    </div> ' +
                    '    <div class="post-comment-content">' +htmlspecialchars(c.text)+ '</div> ' +
                    '</div>';
            }
            
           
            $commentSection.mCustomScrollbar("destroy");
            
            $commentSection.html(html);
            calculateDates();
            if($commentSection.children('.post-comment').length == 0)
            {
                $commentSection.hide();
            }
            else
            {
                $commentSection.show();
            }

            setTimeout(function(){
                $commentSection.mCustomScrollbar({
                    autoHideScrollbar:true,
                    theme:"dark",
                    advanced:{
                        updateOnContentResize: true,
                        updateOnImageLoad: true
                      }
                });                
            },10);
            
        }, function(serverside, message) {
            console.log("Comment loading error", serverside, message);
            $commentSection.html('<i>Comments couldn\'t be loaded. '+message+'</i>');
        });
        
    }
    
    function commentButtonPopup(action, commentId, productId) {
        var el = document.getElementById("post-comment-" + commentId);
        if(!el) {
            console.warn("commentButton called on nonexistent comment id!", commentId);
            return false;
        }
        var actionFn = commentActionsPopup[action];
        if(!actionFn) {
            console.warn("commentButton called with unknown action!", action);
            return false;
        }
        var $el = $(el);
        return actionFn($el, commentId, productId);
    }
    
    var commentActionsPopup = {
        'delete': function($comment, commentId, productId) {
            labConfirm('Are you sure that you want to delete this comment?', 'Are you sure?', function(response) {
/*            labConfirm('Are you sure that you want to hide this comment?', 'Are you sure?', function(response) {*/
                if(response) {
                    window.ajaxSubmitCheck(fCommentURL(commentId, 'rejectComment'), {}, function() {
                        loadCommentsPopup(productId);
                    }, "The comment couldn't be hidden. %s");
                }
            }, "Delete");
        },
        approve: function($comment, commentId, productId) {
            window.ajaxSubmitCheck(fCommentURL(commentId, 'approveComment'), {}, function() {
                loadCommentsPopup(productId);
            }, "The comment couldn't be approved. %s");
        }
    };
    
    var fCommentURL = function (id, action) {
        return "<?= $this->url('root/brandProductManageComment', ['commentId' => 'COMMENTID', 'action' => 'ACTION']) ?>"
            .replace('COMMENTID', id).replace('ACTION', action);
    };
    
    function makeCollectionPublic(obj)
    {
        var public = $(obj).data('public');
        var collectionId = $(obj).data('collection');
        
        if(collectionId  > 0)
           {
               window.loadingIndicator($('body')); 
               ajaxSubmit('<?= $this->url('root/brandProductsManageCollections', ['brandUrl' => $this->thisBrand->url]) ?>', {
                'public': public,
                'collectionId': collectionId,
                'action': 'public',
                }, function(data) {
                if(!data || !data.status || data.status != 'ok') {
                    console.log("error:", data);
                    var error = "Please try again later or contact the support team.";
                    if(data && data.status) error = data.status;
                    labAlert("An error has occured. " + error);
                }else{
                    var msg = (public) ? 'Collection is now public' : 'Collection is not public and not visible by others';
                    labAlert(msg);
                    window.location.reload();
                }
            });
           }
           else
           {
               labAlert("Collection not found.");
               return;
           }
    }
    
    function removeCollection(obj)
    {
        var collectionID = $(obj).data('collection');
           
           if(collectionID == "" && collectionID == 0)
           {
               labAlert("Collection not found.");
               return;
           }
           labConfirm("Do you really want to delete this collection?\nThis cannot be undone!", "Are you sure?", function(response) {
                if(response) {
                    $(this).blur();
                    window.loadingIndicator($('body'));
                    
                    ajaxSubmit('<?= $this->url('root/brandProductsManageCollections', ['brandUrl' => $this->thisBrand->url]) ?>', {
                    'collectionID': collectionID,
                    'action': 'remove',
                    }, function(data) {
                        if(!data || !data.status || data.status != 'ok') {
                            console.log("error:", data);
                            var error = "Please try again later or contact the support team.";
                            if(data && data.status) error = data.status;
                            labAlert("An error has occured while submitting the product collection. " + error);
                        }else{
                            console.log("collection submitted", data);
                            $(obj).slideUp('slow', function() {$(this).remove();});
                            
                            labAlert("Product collection deleted successfully.");
                            window.location = '<?= $this->url('root/brandProducts', ['brandUrl' => $this->thisBrand->url, 'categoryId' => $this->selCategory]) ?>';
                        }
                    });
                return false;
                }
            }, "Delete", "Cancel");
    }
    
    console.log("REG ONLOAD");
    window.onload = function() {
        console.log("FIRE ONLOAD");
       
       $(document).on('mouseover', '.small-image-section .img-container', function(e) {
            e.preventDefault();
            var $this = $(this);
            var $panel = $('.img-panel', $this);
            if($panel.closest('.small-image-section').hasClass('editable')) {
                var type = $panel.closest('.small-image-section').data('type');
                $panel.toggleClass('active');
                if($panel.hasClass('active')) {
                    $('.img-panel', $this.parent().parent()).removeClass('active');
                    $panel.addClass('active');
                }
                if ($panel.hasClass('new')) {
                    $panel.removeClass('new');
                    $panel.html('<div class="buttons"><button type="button" onclick="removeImageClicked(this, \''+type+'\');" class="icon-close"></button></div>');
                }
            }
        });
        
        $(document).on('click', '.small-image-section .img-container', function(e) {
            e.preventDefault();
            var $this = $(this);
            var $panel = $('.img-panel', $this);
            if($panel.closest('.small-image-section').hasClass('editable')) {
                var type = $panel.closest('.small-image-section').data('type');
                $panel.toggleClass('active');
                if($panel.hasClass('active')) {
                    $('.img-panel', $this.parent().parent()).removeClass('active');
                    $panel.addClass('active');
                }
                if ($panel.hasClass('new')) {
                    $panel.removeClass('new');
                    $panel.html('<div class="buttons"><button type="button" onclick="removeImageClicked(this, \''+type+'\');" class="icon-close"></button></div>');
                }
            }
        });
       
       $('.all_products_cat_content .tab-content').each(function(){
           var html = $(this).html();
           if(html.trim() == "")
           {
               $(this).parent().hide();
           }
       });
       
       $('#productsManagement').on('show.bs.modal', function (event) {
            var button = $(event.relatedTarget) // Button that triggered the modal
            var collectid = button.data('collectid') // Extract info from data-* attributes  
            var modal = $(this)           
            if(collectid > 0)
            { 
                modal.find('.product-collection-text').val(collectid)
            }
        });
       
       
       $('#renameCategory').click(function(e){
           e.preventDefault();
           var catName = $(this).data('category_name').trim();
           var catId = $(this).data('category');
           
           if(catName != "" && catId > 0)
           {
               $('#editCategory').modal('show');
               $('#editCategory').find('.modal-body #edit-category-name').val(catName)
               $('#editCategory').find('.modal-body #hdnCragoryId').val(catId)
           }
           else
           {
               labAlert("Category not found.");
           }
       });
       
       $('.edit_collections').each(function(){
           $(this).click(function(e){
               e.preventDefault();
               var name = $(this).data('name').trim();
               var id = $(this).data('collection');
               
               if(name != "" && id > 0)
               {
                   $('#editCollection').modal('show');
                   $('#editCollection').find('.modal-body .collection-input').val(name)
                   $('#editCollection').find('.modal-body #hdnSelCollectionId').val(id)
               }
               else
               {
                   labAlert("Category not found.");
               }
           });
       });
       
       $('#categoryPublicToggle').click(function(e){
           e.preventDefault();
           var showOrNot = $(this).data('toggle');
           var categoryId = $(this).data('category');
           
           if(categoryId  > 0)
           {
               ajaxSubmit('<?= $this->url('root/brandProductsManageCategory', ['brandUrl' => $this->thisBrand->url]) ?>', {
                'showOrNot': showOrNot,
                'categoryId': categoryId,
                'action': 'public',
                }, function(data) {
                if(!data || !data.status || data.status != 'ok') {
                    console.log("error:", data);
                    var error = "Please try again later or contact the support team.";
                    if(data && data.status) error = data.status;
                    labAlert("An error has occured while renaming the product category. " + error);
                }else{
                    console.log("category renamed", data);
                    var msg = (showOrNot) ? 'Category is now public' : 'Category is not public and not visible by others';
                    labAlert(msg);
                    window.location.reload();
                }
            });
           }
           else
           {
               labAlert("Category not found.");
               return;
           }
       });
       
       $('#btn_category_edit').click(function(){
           var categoryNameField = $('#edit-category-name');
           var categoryName = categoryNameField.val().trim();
           var categoryId = $('#hdnCragoryId').val().trim();
           if((categoryNameField.length && categoryName.length < 1)) {
                labAlert("Please fill in the category name.");
                return;
            }
            
            ajaxSubmit('<?= $this->url('root/brandProductsManageCategory', ['brandUrl' => $this->thisBrand->url]) ?>', {
            'categoryName': categoryName,
            'categoryId': categoryId,
            'action': 'edit',
            }, function(data) {
                if(!data || !data.status || data.status != 'ok') {
                    console.log("error:", data);
                    var error = "Please try again later or contact the support team.";
                    if(data && data.status) error = data.status;
                    labAlert("An error has occured while renaming the product category. " + error);
                }else{
                    console.log("category renamed", data);
                    labAlert("Product category renamed successfully.");
                    window.location.reload();
                }
            });
       });
       
       $('#btn_category_add').click(function(){
           
           var formData = $('#frm_add_category').serializeArray();
           
           var categoryNameField = $('#category-name');
           /*var collectionName = $('#collection-name').val().trim();*/
           var categoryName = categoryNameField.val().trim();
           if((categoryNameField.length && categoryName.length < 1)) {
                labAlert("Please fill in the category name.");
                return;
            }
            
            ajaxSubmit('<?= $this->url('root/brandProductsManageCategory', ['brandUrl' => $this->thisBrand->url]) ?>', {
            'categoryName': categoryName,
            /*'collectionName': collectionName,*/
            'postData' : formData,
            'action': 'add',
            }, function(data) {
                if(!data || !data.status || data.status != 'ok') {
                    console.log("error:", data);
                    var error = "Please try again later or contact the support team.";
                    if(data && data.status) error = data.status;
                    labAlert("An error has occured while submitting the product category. " + error);
                }else{
                    console.log("category submitted", data);
                    labAlert("Product category submitted successfully.");
                    window.location.reload();
                }
            });
       });
       
       $('#removeCategory').click(function(){
           var categoryID = $(this).data('category');
           
           if(categoryID == "" && categoryID == 0)
           {
               labAlert("Category not found.");
               return;
           }
           labConfirm("Do you really want to delete this category?\nThis cannot be undone!", "Are you sure?", function(response) {
                if(response) {
                    $(this).blur();
                    window.loadingIndicator($('.feed-container'));
                    
                    ajaxSubmit('<?= $this->url('root/brandProductsManageCategory', ['brandUrl' => $this->thisBrand->url]) ?>', {
                    'categoryID': categoryID,
                    'action': 'remove',
                    }, function(data) {
                        if(!data || !data.status || data.status != 'ok') {
                            console.log("error:", data);
                            var error = "Please try again later or contact the support team.";
                            if(data && data.status) error = data.status;
                            labAlert("An error has occured while submitting the product category. " + error);
                        }else{
                            console.log("category submitted", data);
                            labAlert("Product category deleted successfully.");
                            window.location = '<?= $this->url('root/brandProducts', ['brandUrl' => $this->thisBrand->url]) ?>';
                        }
                    });
                return false;
                }
            }, "Delete", "Cancel");
           
       });
       
       $('#btn_collection_add').click(function(){
           var collectionNameField = $('#addCollection').find('.collection-input');
           var categoryId = $('#addCollection').find('#hdnSelCategoryId').val().trim();
           
            if((collectionNameField.length && collectionNameField.val().trim().length < 1)) {
                labAlert("Please fill in the collection name.");
                return;
            }
            
            ajaxSubmit('<?= $this->url('root/brandProductsManageCollections', ['brandUrl' => $this->thisBrand->url]) ?>', {
            'collectionName': collectionNameField.val().trim(),
            'categoryId': categoryId,
            'action': 'add',
            }, function(data) {
                if(!data || !data.status || data.status != 'ok') {
                    console.log("error:", data);
                    var error = "Please try again later or contact the support team.";
                    if(data && data.status) error = data.status;
                    labAlert("An error has occured while submitting the product collection. " + error);
                }else{
                    console.log("collection submitted", data);
                    labAlert("Product collection submitted successfully.");
                    window.location.reload();
                }
            });
       });
       
       $('#btn_collection_edit').click(function(){
           var collectionNameField = $('#editCollection').find('.collection-input');
           var collectionId = $('#editCollection').find('#hdnSelCollectionId').val();
           
            if((collectionNameField.length && collectionNameField.val().trim().length < 1)) {
                labAlert("Please fill in the collection name.");
                return;
            }
            
            ajaxSubmit('<?= $this->url('root/brandProductsManageCollections', ['brandUrl' => $this->thisBrand->url]) ?>', {
            'collectionName': collectionNameField.val().trim(),
            'collectionId': collectionId,
            'action': 'edit',
            }, function(data) {
                if(!data || !data.status || data.status != 'ok') {
                    console.log("error:", data);
                    var error = "Please try again later or contact the support team.";
                    if(data && data.status) error = data.status;
                    labAlert("An error has occured while editing the product collection. " + error);
                }else{
                    console.log("collection submitted", data);
                    labAlert("Product collection edited successfully.");
                    window.location.reload();
                }
            });
       });
       
       if($('#productsManagement .product-section .upload-image-list-product div.img-row').length > 0)
        {
            $('#productsManagement .product-section .upload-image-list-product').show();
            $('#productsManagement .product-section .product-container .first-product-image').hide();
        }
       
        var $textareas = $('textarea.autoresize');

        // Comments
        window.autosizeTextarea($('.comment-form textarea.comment-content'), 60, 300);
        window.autosizeTextarea($textareas, 80, 1000); // todo: fix
    }

</script>